| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
CompoundKey Class Reference
Basic

Concatenated short keys separated by dots. Used for Object identifiers in the Object Manager, or stratigraphic IDs. More...

`#include <compoundkey.h>`

## Public Member Functions
| CompoundKey (const char *s=nullptr)
| CompoundKey (const CompoundKey &)
virtual | ~CompoundKey ()
const char * | buf () const
char * | getCStr ()
bool | isEmpty () const
bool | isUpLevelOf (const CompoundKey &) const
BufferString | key (int) const
int | nrKeys () const
| operator const char * () const =delete
bool | operator!= (const char *s) const
bool | operator!= (const CompoundKey &u) const
CompoundKey & | operator+= (const char *)
CompoundKey & | operator= (const char *s)
bool | operator== (const char *s) const
bool | operator== (const CompoundKey &oth) const
void | setEmpty ()
void | setKey (int, const char *)
CompoundKey | upLevel () const

## Protected Member Functions
char * | fromKey (int) const
const char * | getKeyPart (int) const

## Protected Attributes
BufferString | impl_

## Private Member Functions
char * | fetchKeyPart (int, bool) const

## Detailed Description

Concatenated short keys separated by dots. Used for Object identifiers in the Object Manager, or stratigraphic IDs.

<>

## Constructor & Destructor Documentation

## ◆ CompoundKey() [1/2]

CompoundKey::CompoundKey | ( | const char * | s = nullptr | ) |

## ◆ CompoundKey() [2/2]

CompoundKey::CompoundKey | ( | const CompoundKey & |  | ) |

## ◆ ~CompoundKey()

virtual CompoundKey::~CompoundKey | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ buf()

const char * CompoundKey::buf | ( |  | ) | const
| inline

## ◆ fetchKeyPart()

char * CompoundKey::fetchKeyPart | ( | int | ,
|  | bool | ) const
| private

## ◆ fromKey()

char * CompoundKey::fromKey | ( | int |  | ) | const
| protected

## ◆ getCStr()

char * CompoundKey::getCStr | ( |  | ) |
| inline

## ◆ getKeyPart()

const char * CompoundKey::getKeyPart | ( | int |  | ) | const
| protected

## ◆ isEmpty()

bool CompoundKey::isEmpty | ( |  | ) | const
| inline

## ◆ isUpLevelOf()

bool CompoundKey::isUpLevelOf | ( | const CompoundKey & |  | ) | const

## ◆ key()

BufferString CompoundKey::key | ( | int |  | ) | const

## ◆ nrKeys()

int CompoundKey::nrKeys | ( |  | ) | const

## ◆ operator const char *()

CompoundKey::operator const char * | ( |  | ) | const
| inline delete

## ◆ operator!=() [1/2]

bool CompoundKey::operator!= | ( | const char * | s | ) | const
| inline

## ◆ operator!=() [2/2]

bool CompoundKey::operator!= | ( | const CompoundKey & | u | ) | const
| inline

## ◆ operator+=()

CompoundKey & CompoundKey::operator+= | ( | const char * | s | ) |
| inline

## ◆ operator=()

CompoundKey & CompoundKey::operator= | ( | const char * | s | ) |
| inline

## ◆ operator==() [1/2]

bool CompoundKey::operator== | ( | const char * | s | ) | const
| inline

## ◆ operator==() [2/2]

bool CompoundKey::operator== | ( | const CompoundKey & | oth | ) | const
| inline

## ◆ setEmpty()

void CompoundKey::setEmpty | ( |  | ) |
| inline

## ◆ setKey()

void CompoundKey::setKey | ( | int | ,
|  | const char * | )

## ◆ upLevel()

CompoundKey CompoundKey::upLevel | ( |  | ) | const

## Member Data Documentation

## ◆ impl_

BufferString CompoundKey::impl_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025